Create a Scout

Create a Scout to test EUC or network resources. Creating a Scout uses credits on your account. If you disable or delete the Scout, then the credits are returned to your account. See License Information for more details.

📘

Updated URL and authentication

On February 11, we updated the Synthetic Monitoring API to align its URL and authentication with the rest of the ControlUp platform. Learn more.

Body Params

Select the Scout's type, sub-type, and hive type (if applicable), to see the relevant parameters.

int32
required

ID of the Cloud Hive from which the Scout will run.

string
enum
required

The Scout's sub-type. This indicates the EUC platform that the Scout accesses.

Allowed:
otp

One-time password (OTP) information for the Scout. MFA is supported for all EUC Scout platforms except Citrix Storefront.

Visit Multi-Factor Authentication for more details on how to configure MFA.

url
required

The address of the gateway that the Scout accesses.

string
required

The Scout's name.

integer
enum
required

The interval (in minutes) of how often the Scout runs.

Allowed:
string
required

The published resource that the Scout accesses and tests.

string
required

The username used to access the gateway.

string
required

The password used to access the gateway.

options
object

Additional options.

tags
array of uuids

A list of tag value UUIDs to associate with the Scout.

Tag values can be retrieved from GET /v1/organizations/{orgId}/tags.
Each tag object contains a list of values, each with its own id. To assign a tag, provide the id of the desired tag value.

Example: Given the following tag object:

{
  "id": "047b0a09-a33e-45fd-b579-a098ec60d0b5",
  "key": "Database",
  "values": [
    { "id": "07725341-3335-4f4a-a6d7-f64302546c7e", "label": "SQL", "color": "stone" },
    { "id": "2e7aa044-6786-406d-bd00-f43921831099", "label": "NoSQL", "color": "stone" }
  ]
}

To assign the Database:SQL tag, include "07725341-3335-4f4a-a6d7-f64302546c7e" in the list.

When you update tags, all existing tags are replaced with the ones you provide.

tags
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json